package com.ruoyi.protocol.sansi.enums;

import lombok.Getter;
import zhishuang.wang.sansi.playlist.entry.BaseColour;

import java.util.stream.Stream;

@Getter
public enum SanSiFontColor {

    red("red", new BaseColour(255, 0, 0, 0, 0)),
    yellow("yellow", new BaseColour(255, 255, 0, 0, 0)),
    green("green", new BaseColour(0, 255, 0, 0, 0));

    private final String colorName;
    private final BaseColour colour;

    SanSiFontColor(String colorName, BaseColour colour) {
        this.colorName = colorName;
        this.colour = colour;
    }

    public static BaseColour getBaseColourByColorName(String colorName) {
        return Stream.of(SanSiFontColor.values())
                .filter(fontColor -> fontColor.getColorName().equals(colorName))
                .map(SanSiFontColor::getColour)
                .findFirst()
                .orElse(null);
    }
}
